#ifndef __PLATFORM_NRF52_GPIO_H__
#define __PLATFORM_NRF52_GPIO_H__

#include "gpio_interface.h"

namespace pinetime::platform::nrf52 {

class Gpio : public pinetime::interfaces::GpioInterface
{
    public:
        inline Gpio() {}
        Gpio(uint32_t);
        void set_pin_number(uint32_t);
        void set_direction(direction) override;
        uint32_t get() override;
        void set() override;
        void clear() override;
        void toggle() override;

    private:
        uint32_t pin_number;
};

}

#endif
